#!/gnuplot
GNUTERM = 'wxt'
reset session

set term wxt 1 size 2400,1200 persist font 'Helvetica, 8'
set termoption enhanced
set termoption dash
set mxtics
set mytics
set grid

#
# Set overall margins for the combined set of plots and size them
# to generate a requested inter-plot spacing
#
if (!exists("MP_LEFT"))   MP_LEFT = .1
if (!exists("MP_RIGHT"))  MP_RIGHT = .95
if (!exists("MP_BOTTOM")) MP_BOTTOM = .14
if (!exists("MP_TOP"))    MP_TOP = .88
if (!exists("MP_xGAP"))   MP_xGAP = 0.08
if (!exists("MP_yGAP"))   MP_yGAP = 0.1

set title font "Helvetica, 14"

set label "[EvAX-6.1; © Janis Timoshenko (2023)]" at screen 0.8,0.98

set multiplot layout 1,4 columnsfirst title  "Morlet Wavelet transform" \
              font "Helvetica, 12" margins screen MP_LEFT, MP_RIGHT, MP_BOTTOM, MP_TOP spacing screen MP_xGAP, MP_yGAP

set format y "%.1f"
unset key

set style line 2 lc rgb '#0060ad' lt 1 lw 3 
set style line 1 lc rgb 'black' lt 1 lw 3 
set style line 3 lc rgb 'red' lt 1 lw 3 



set xlabel 'Distance, R(Å)'
set ylabel 'FT of EXAFS (Å^{-3})'
set xrange [0:6]
set key
plot 'expFT_1.dat' using 1:4 with line ls 1 title "Pd foil", 'expFT_2.dat' using 1:4 with line ls 2 title "Cu1Pd9", 'expFT_3.dat' using 1:4 with line ls 3 title "PdO"

unset key
unset yrange
unset xrange
set ylabel "Wavenumber, k (Å^{-1})"
set xlabel "Distance, R (Å)"
set grid 
set xrange [0:6.]
set yrange [0:14]


unset key
set palette rgbformulae 21,22,23
set palette maxcolors 12

set title font "Helvetica, 12"

set title "Pd foil"

plot 'expWT_1.dat' using 2:1:5 with image

set title "Cu9Pd1 foil"

plot 'expWT_2.dat' using 2:1:5 with image

set title "PdO"

plot 'expWT_3.dat' using 2:1:5 with image

unset multiplot
