#!/gnuplot
GNUTERM = 'wxt'
reset session

set term wxt 1 size 2400,1200 persist font 'Helvetica, 8'
set termoption enhanced
set termoption dash
set mxtics
set mytics
set grid

#
# Set overall margins for the combined set of plots and size them
# to generate a requested inter-plot spacing
#
if (!exists("MP_LEFT"))   MP_LEFT = .1
if (!exists("MP_RIGHT"))  MP_RIGHT = .95
if (!exists("MP_BOTTOM")) MP_BOTTOM = .14
if (!exists("MP_TOP"))    MP_TOP = .88
if (!exists("MP_xGAP"))   MP_xGAP = 0.08
if (!exists("MP_yGAP"))   MP_yGAP = 0.1

set title font "Helvetica, 14"

set label "[EvAX-6.1; © Janis Timoshenko (2023)]" at screen 0.8,0.98

set multiplot layout 1,2 columnsfirst title  "Morlet Wavelet transform" \
              font "Helvetica, 12" margins screen MP_LEFT, MP_RIGHT, MP_BOTTOM, MP_TOP spacing screen MP_xGAP, MP_yGAP

set format y "%.1f"

unset key
unset yrange
unset xrange
set ylabel "Wavenumber, k (Å^{-1})"
set xlabel "Distance, R (Å)"
set grid 
set xrange [0:6.]
set yrange [0:14]


unset key
set palette rgbformulae 21,22,23
set palette maxcolors 12

set title font "Helvetica, 12"

set title "Pd foil (STFT)"

plot 'expWT_1.dat' using 2:1:5 with image

set title "Pd foil (Morlet WT)"

plot 'expWT_2.dat' using 2:1:5 with image


unset multiplot
