#!/gnuplot
GNUTERM = 'wxt'
reset session

set term wxt 1 size 2400,1200 persist font 'Helvetica, 8'
set termoption enhanced
set termoption dash
set mxtics
set mytics
set grid

#
# Set overall margins for the combined set of plots and size them
# to generate a requested inter-plot spacing
#
if (!exists("MP_LEFT"))   MP_LEFT = .1
if (!exists("MP_RIGHT"))  MP_RIGHT = .95
if (!exists("MP_BOTTOM")) MP_BOTTOM = .14
if (!exists("MP_TOP"))    MP_TOP = .9
if (!exists("MP_xGAP"))   MP_xGAP = 0.08
if (!exists("MP_yGAP"))   MP_yGAP = 0.1

set title font "Helvetica, 14"

set label "[EvAX-6.1; © Janis Timoshenko (2023)]" at screen 0.8,0.98

stats 'output_files/output.dat' u (myTitle2=strcol(2),0) every ::-2::-1 nooutput
stats 'output_files/output.dat' u (myTitle1=strcol(1),0) every ::-2::-1 nooutput

set multiplot layout 1,2 columnsfirst title  "EvAX iteration: ".myTitle1."   Residual:".myTitle2 \
              font "Helvetica, 12" margins screen MP_LEFT, MP_RIGHT, MP_BOTTOM, MP_TOP spacing screen MP_xGAP, MP_yGAP

set format y "%.1f"
unset key

unset yrange
unset xrange
set xlabel "Wavenumber, k (Å^{-1})"
set ylabel "Distance, R (Å)"
set grid 
set yrange [0:6.]

unset key
set palette rgbformulae 21,22,23
set palette maxcolors 12

set title "Experiment"

plot 'output_files/expWT.dat' using 1:2:5 with image

set title "RMC fit"

plot 'output_files/wt.dat' using 1:2:5 with image

unset multiplot
