#!/gnuplot
GNUTERM = 'wxt'
reset session

set term wxt 1 size 2400,1200 persist font 'Helvetica, 8'
set termoption enhanced
set termoption dash
set mxtics
set mytics
set grid

#
# Set overall margins for the combined set of plots and size them
# to generate a requested inter-plot spacing
#
if (!exists("MP_LEFT"))   MP_LEFT = .1
if (!exists("MP_RIGHT"))  MP_RIGHT = .95
if (!exists("MP_BOTTOM")) MP_BOTTOM = .4
if (!exists("MP_TOP"))    MP_TOP = 0.92
if (!exists("MP_xGAP"))   MP_xGAP = 0.06
if (!exists("MP_yGAP"))   MP_yGAP = 0.1

set title font "Helvetica, 14"

set label "[EvAX-6.1; © Janis Timoshenko (2023)]" at screen 0.8,0.98

stats 'output_files/output.dat' u (myTitle2=strcol(2),0) every ::-2::-1 nooutput
stats 'output_files/output.dat' u (myTitle1=strcol(1),0) every ::-2::-1 nooutput

set multiplot layout 1,2 columnsfirst title  "EvAX iteration: ".myTitle1."   Residual:".myTitle2 \
              font "Helvetica, 12" margins screen MP_LEFT, MP_RIGHT, MP_BOTTOM, MP_TOP spacing screen MP_xGAP, MP_yGAP

set format y "%.1f"
unset key

set xlabel "Wavenumber, k (Å^{-1})"
set ylabel "EXAFS χ(k)k^{2} (Å^{-2})"
set grid 



unset key
 
set style line 2 lc rgb "black" lt 1 lw 5 # --- blue
set style line 1 dashtype 1 lc rgb "red" lw 2 

set key autotitle columnheader  below left
plot 'output_files/EXAFS.dat' using ($2):($1) with line ls 2 title "Total", for [i=2:*] 'output_files/partialEXAFS.dat' using 1:(column(i)-3*i) with line lw 3


set xlabel "R, (Å)"
set ylabel "FT Of EXAFS (Å^{-2})"

set xrange [0:6]
plot 'output_files/ft.dat' using 1:($4) with line ls 2 title "Total", for [i=2:*] 'output_files/partialFT.dat' using 1:(column(i)) with line lw 3

unset multiplot
